SoftwarePatch (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.SoftwarePatch interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface SoftwarePatch

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  SolarisPatch

    public interface SoftwarePatch

extends LogicalElement

Naming Rules:
  0="name" 1="managedSystemName"
Persistable:
  true
Table Name:
  SFTPATCH
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`SoftwarePatch[]` | `getIncompatibles()`
`java.lang.String` | `getName()`
`SoftwarePatch[]` | `getObsoletes()`
`SoftwarePatch[]` | `getRequires()`
`SoftwareComponent[]` | `getSoftwareComponents()`
`boolean` | `hasIncompatibles()`
`boolean` | `hasName()`
`boolean` | `hasObsoletes()`
`boolean` | `hasRequires()`
`boolean` | `hasSoftwareComponents()`
`void` | `setIncompatibles(SoftwarePatch[] patches)`
`void` | `setName(java.lang.String s)`
`void` | `setObsoletes(SoftwarePatch[] patches)`
`void` | `setRequires(SoftwarePatch[] patches)`
`void` | `setSoftwareComponents(SoftwareComponent[] scs)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String s)

### hasName

    boolean hasName()

### getObsoletes

    SoftwarePatch[] getObsoletes()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Obsoletes" reverse="false"

### setObsoletes

    void setObsoletes(SoftwarePatch[] patches)

### hasObsoletes

    boolean hasObsoletes()

### getRequires

    SoftwarePatch[] getRequires()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Requires" reverse="false"

### setRequires

    void setRequires(SoftwarePatch[] patches)

### hasRequires

    boolean hasRequires()

### getIncompatibles

    SoftwarePatch[] getIncompatibles()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.IncompatibleWith" reverse="false"

### setIncompatibles

    void setIncompatibles(SoftwarePatch[] patches)

### hasIncompatibles

    boolean hasIncompatibles()

### getSoftwareComponents

    SoftwareComponent[] getSoftwareComponents()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setSoftwareComponents

    void setSoftwareComponents(SoftwareComponent[] scs)

### hasSoftwareComponents

    boolean hasSoftwareComponents()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD